"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    var _a, _b, _c;
    (_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$api;
    (_b = common_vendor.getCurrentInstance()) == null ? void 0 : _b.appContext.config.globalProperties.$app;
    (_c = common_vendor.getCurrentInstance()) == null ? void 0 : _c.appContext.config.globalProperties.$config;
    const config = common_vendor.ref({ logo: [] });
    common_vendor.onLoad(async () => {
      await searchConfig();
      await search();
    });
    const searchConfig = async () => {
    };
    const search = async () => {
      common_vendor.index.reLaunch({
        url: `/pages/home/index`
      });
    };
    return (_ctx, _cache) => {
      var _a2, _b2;
      return {
        a: ((_b2 = (_a2 = config.value) == null ? void 0 : _a2.logo[0]) == null ? void 0 : _b2.url) || "/static/logo.png"
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1cf27b2a"], ["__file", "D:/project/赋强公证/notarization_applet/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
